Page MenuHomePhabricator

Ability to disable user-specific SSR
Closed, ResolvedPublic5 Story Points

Description

In order to allow for smooth deployment and easier debugging it would be beneficial to be able to control in which scenarios requests against the newly introduced SSR service are performed. This is particularly important as results of the requests for user-specific termbox markup are not cached/hardly cachable.

AC:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2019, 10:47 AM
Lea_WMDE set the point value for this task to 5.Mar 13 2019, 4:08 PM

Users with specialized data are not cached. If we need to reduce the number of requests, not ever sending SSR requests in those cases (i.e. showing nothing), but forcing users to wait for the client side action to kick in would be an option.
If we don't have this, and run into problems with the number of requests, the only way to reduce the number of requests would be disabling the new termbox functionality completely, falling back to the current state.

Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:04 PM

Change 508991 had a related patch set uploaded (by Matthias Geisler; owner: Matthias Geisler):
[mediawiki/extensions/Wikibase@master] Get ability to disable user-specific SSR

https://gerrit.wikimedia.org/r/508991

Jakob_WMDE updated the task description. (Show Details)May 10 2019, 3:19 PM

Change 508991 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Get ability to disable user-specific SSR

https://gerrit.wikimedia.org/r/508991

Jakob_WMDE closed this task as Resolved.May 22 2019, 9:24 AM
Jakob_WMDE reopened this task as Open.May 22 2019, 9:27 AM
Jakob_WMDE closed this task as Resolved.Jun 5 2019, 11:02 AM